searchNodes=[{"doc":"Use this when you want to ask the computer to perform a task using natural-language text, one that will have side-effects in the real world. ActionChain wraps a Chain and handles invoking the Chain. It then handles asking for confirmation if the chain is correct.","ref":"LangChain.ActionChain.html","title":"LangChain.ActionChain","type":"module"},{"doc":"","ref":"LangChain.BaseMemory.html","title":"LangChain.BaseMemory","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"LangChain.BaseMemory.html#child_spec/1","title":"LangChain.BaseMemory.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"LangChain.BaseMemory.html#init/1","title":"LangChain.BaseMemory.init/1","type":"function"},{"doc":"A chain of ChainLinks to be processed in order, usually ending in an anchor for user confirmation.","ref":"LangChain.Chain.html","title":"LangChain.Chain","type":"module"},{"doc":"Processes the ChainLinks in the chain and accumulates the output. If the optional anchor parameter is set to true , an anchor step will be added at the end of the chain for user confirmation.","ref":"LangChain.Chain.html#call/3","title":"LangChain.Chain.call/3","type":"function"},{"doc":"Creates a new Chain struct with the given chain_links.","ref":"LangChain.Chain.html#new/1","title":"LangChain.Chain.new/1","type":"function"},{"doc":"an individual chainLink in a language chain when called, a chainlink will fill in and submit an input prompt, then add the entire response to the responses list parse the response with the outputParser store any output","ref":"LangChain.ChainLink.html","title":"LangChain.ChainLink","type":"module"},{"doc":"calls the chainLink, filling in the input prompt and parsing the output","ref":"LangChain.ChainLink.html#call/2","title":"LangChain.ChainLink.call/2","type":"function"},{"doc":"A Chat is a list of multiple PromptTemplates along with all their input variables","ref":"LangChain.Chat.html","title":"LangChain.Chat","type":"module"},{"doc":"add more PromptTemplates to the Chat","ref":"LangChain.Chat.html#addPromptTemplates/2","title":"LangChain.Chat.addPromptTemplates/2","type":"function"},{"doc":"loops over every prompt and formats it with the values supplied","ref":"LangChain.Chat.html#format/2","title":"LangChain.Chat.format/2","type":"function"},{"doc":"","ref":"LangChain.Chat.html#serialize/1","title":"LangChain.Chat.serialize/1","type":"function"},{"doc":"","ref":"LangChain.Chat.html#toChatMessages/0","title":"LangChain.Chat.toChatMessages/0","type":"function"},{"doc":"An Effector is used by a daemon to impact the outside world. By default, an Effector should ask for confirmation before actually impacting anything. Daemons are AIs and should not be trusted to do the right thing without supervision.","ref":"LangChain.Effector.html","title":"LangChain.Effector","type":"module"},{"doc":"","ref":"LangChain.Effector.html#default_no!/2","title":"LangChain.Effector.default_no!/2","type":"function"},{"doc":"Default function to execute the action. Override this function with custom action handling logic.","ref":"LangChain.Effector.html#default_yes!/2","title":"LangChain.Effector.default_yes!/2","type":"function"},{"doc":"Default function to request permission for an action. Returns true to allow the action by default. Override this function with custom permission handling logic.","ref":"LangChain.Effector.html#defaultMayI?/2","title":"LangChain.Effector.defaultMayI?/2","type":"function"},{"doc":"A generic LLM interface for interacting with different LLM providers","ref":"LangChain.LLM.html","title":"LangChain.LLM","type":"module"},{"doc":"","ref":"LangChain.LLM.html#call/2","title":"LangChain.LLM.call/2","type":"function"},{"doc":"","ref":"LangChain.LLM.html#chat/2","title":"LangChain.LLM.chat/2","type":"function"},{"doc":"a PromptTemplate is just a normal string template, you can pass it a set of values and it will interpolate them. You can also partially evaluate the template by calling the partial/2 function inputVariables will contain the list of variables that still need to be specified to complete the template.","ref":"LangChain.PromptTemplate.html","title":"LangChain.PromptTemplate","type":"module"},{"doc":"converts to eex and then interpolates the values+partialVariables. (eex wants values and partialVariables to be specified as a map with atomic keys)","ref":"LangChain.PromptTemplate.html#format/2","title":"LangChain.PromptTemplate.format/2","type":"function"},{"doc":"partially apply the variables in 'partial' to the partialVariables and remove them from the inputVariables","ref":"LangChain.PromptTemplate.html#partial/2","title":"LangChain.PromptTemplate.partial/2","type":"function"},{"doc":"A module for interacting with OpenAI's API","ref":"LangChain.Providers.OpenAI.html","title":"LangChain.Providers.OpenAI","type":"module"},{"doc":"a simple call to respond to a simple text input prompt","ref":"LangChain.Providers.OpenAI.html#call/2","title":"LangChain.Providers.OpenAI.call/2","type":"function"},{"doc":"a call to respond to an entire chat session containing multiple PromptTemplates","ref":"LangChain.Providers.OpenAI.html#chat/2","title":"LangChain.Providers.OpenAI.chat/2","type":"function"},{"doc":"","ref":"LangChain.Providers.OpenAI.html#chats_to_openai/1","title":"LangChain.Providers.OpenAI.chats_to_openai/1","type":"function"},{"doc":"","ref":"LangChain.Providers.OpenAI.html#openai_to_chats/1","title":"LangChain.Providers.OpenAI.openai_to_chats/1","type":"function"},{"doc":"Use this when you want to extract formatted data from natural-language text, ScrapeChain is basically a special form of QueryChain. ScrapeChain is a wrapper around a special type of Chain that requires 'inputSchema' and 'inputText' in its inputVariables and combines it with an outputParser. Once you define that chain, you can have the chain 'scrape' a text and return the formatted output in virtually any form.","ref":"LangChain.ScrapeChain.html","title":"LangChain.ScrapeChain","type":"module"},{"doc":"Creates a new ScrapeChain struct with the given chain, inputSchema, and outputParser, you set up a scrapeChain with an inputSchema and an outputParser, then you can call it with whatever text you want. Example: create a chat to extract data: chat = Chat.addPromptTemplates(%Chat{}, [ %{ role : &quot;user&quot; , prompt : % PromptTemplate { template : &quot;Schema: &quot; &quot;&quot; &lt; % = inputSchema % &gt; &quot;&quot;&quot; Text: &quot;&quot;&quot; &lt; % = inputText % &gt; &quot;&quot; Extract the data from Text according to Schema and return it in &lt; % = outputFormat % &gt; format . Format any datetime fields using ISO8601 standard . &quot; } } ]) create a ChainLink with the chat and parser function chain_link = %ChainLink{ name: &quot;schema_extractor&quot;, input: chat, outputParser: &amp;schema_parser/2 } chain = %Chain{links: [chain_link]} input_schema = &quot;{ name: String, age: Number, birthdate: Date }&quot; schema_chain = LangChain.ScrapeChain.new(chain, input_schema)","ref":"LangChain.ScrapeChain.html#new/3","title":"LangChain.ScrapeChain.new/3","type":"function"},{"doc":"default passthrough parser. 'result' will be a string so it is up to you to transform it into a native elixir structure or whatever you want.","ref":"LangChain.ScrapeChain.html#noParse/1","title":"LangChain.ScrapeChain.noParse/1","type":"function"},{"doc":"Executes the ScrapeChain with a specific inputText and inputSchema and returns the parsed result: inputVariables = %{ inputText : &quot;John Doe is 30 years old.&quot; , inputSchema : &quot;{ name: String, age: Number, birthdate: Date }&quot; }","ref":"LangChain.ScrapeChain.html#scrape/2","title":"LangChain.ScrapeChain.scrape/2","type":"function"},{"doc":"A Scraper is a GenServer that scrapes natural language text and tries to turn it into some kind of structured data. It comes with a built in &quot;default_scraper&quot; that can generally extract data from text according to the schema you gave it. Examples: = Scraper.start_link() input_text = &quot;John Doe is 30 years old.&quot; {:ok, result} = Scraper.scrape(scraper_pid, input_text) = Scraper.scrape(scraper_pid, input_text, &quot;default_scraper&quot;, %{ outputFormat: &quot;XML&quot; }) = Scraper.scrape(scraper_pid, input_text, &quot;default_scraper&quot;, %{ inputSchema: &quot;{ name: { first: String, last: String }, age: Number }&quot;, outputFormat: &quot;YAML&quot; })","ref":"LangChain.Scraper.html","title":"LangChain.Scraper","type":"module"},{"doc":"add your own custom scrape chain to the Scraper","ref":"LangChain.Scraper.html#add_scrape_chain/3","title":"LangChain.Scraper.add_scrape_chain/3","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"LangChain.Scraper.html#child_spec/1","title":"LangChain.Scraper.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"LangChain.Scraper.html#init/1","title":"LangChain.Scraper.init/1","type":"function"},{"doc":"A default output parser that just returns the first response text as json","ref":"LangChain.Scraper.html#json_parser/2","title":"LangChain.Scraper.json_parser/2","type":"function"},{"doc":"Returns a list of all the scrape chains in the Scraper","ref":"LangChain.Scraper.html#list/1","title":"LangChain.Scraper.list/1","type":"function"},{"doc":"simple passthrough parser that just returns the result","ref":"LangChain.Scraper.html#output_parser/1","title":"LangChain.Scraper.output_parser/1","type":"function"},{"doc":"A default output parser that just returns the first response text","ref":"LangChain.Scraper.html#passthru_parser/2","title":"LangChain.Scraper.passthru_parser/2","type":"function"},{"doc":"scrape some text using the default scraper","ref":"LangChain.Scraper.html#scrape/4","title":"LangChain.Scraper.scrape/4","type":"function"},{"doc":"","ref":"LangChain.Scraper.html#start_link/1","title":"LangChain.Scraper.start_link/1","type":"function"},{"doc":"Documentation for Langchainex .","ref":"Langchainex.html","title":"Langchainex","type":"module"},{"doc":"Use this when you want to ask a question using natural-language text, with no side-effects. QueryChain is a wrapper around a Chain that requires 'inputText' in its inputVariables. Once you define that chain, you can 'ask' the QueryChain to run the chain and return the formatted output.","ref":"QueryChain.html","title":"QueryChain","type":"module"},{"doc":"","ref":"Utils.html","title":"Utils","type":"module"},{"doc":"","ref":"Utils.html#get_input_value/2","title":"Utils.get_input_value/2","type":"function"}]